fenics-dolfinx (1:0.10.0.post5-6ubuntu3) stonking; urgency=medium

  * No-change rebuild for petsc/3.25.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 27 Jun 2026 13:32:01 +0000

fenics-dolfinx (1:0.10.0.post5-6ubuntu2) resolute; urgency=medium

  * Update package dependency to libadios2-mpi-c++-dev.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 20 Mar 2026 07:07:57 +0000

fenics-dolfinx (1:0.10.0.post5-6ubuntu1) resolute; urgency=medium

  * build-depend on libadios2-mpi-c++-dev.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 19 Mar 2026 21:58:14 +0000

fenics-dolfinx (1:0.10.0.post5-6build1) resolute; urgency=medium

  * No-change rebuild for python3-nanobind-abi18.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 21 Feb 2026 13:04:04 +0000

fenics-dolfinx (1:0.10.0.post5-6) unstable; urgency=medium

  * debian patch cells_int64_PR4057.patch ensures test cells are
    always created with int64. Needed to pass mixed mesh tests with
    nanobind 2.11.0 (pending #1127895). Closes: #1127672, #1127800.

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Feb 2026 12:03:59 +0100

fenics-dolfinx (1:0.10.0.post5-5) unstable; urgency=medium

  * add powerpc to SKIP_NONLINEAR_PDE_TEST_ARCH_LIST to skip
    test_nonlinear_pde, and also skip
    test_compare_solution_linear_vs_nonlinear_problem
  * fix test skips for bigendian arches (append, don't replace)

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Feb 2026 13:46:57 +0100

fenics-dolfinx (1:0.10.0.post5-4) unstable; urgency=medium

  * update python-dolfinx Breaks: python3-dolfinx-mpc (<< 0.10~)

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Jan 2026 12:29:48 +1100

fenics-dolfinx (1:0.10.0.post5-3) unstable; urgency=medium

  * libdolfinx-dev  Breaks: fenicsx-performance-tests-source (<< 0.10~)
    python3-dolfinx Breaks: python3-scifem (<< 0.14~)
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Mon, 29 Dec 2025 10:23:26 +1100

fenics-dolfinx (1:0.10.0.post5-2) unstable; urgency=medium

  * debian/tests: test-dolfinx-python-demos skip
    demo_scattering_boundary_conditions on i386 with complex numbers
    (vtk 9.5 pushes i386 over its 32-bit memory limit)

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Dec 2025 23:49:42 +0100

fenics-dolfinx (1:0.10.0.post5-1) unstable; urgency=medium

  * New upstream 0.10 post release
    - applies debian patches fix_partitioner_ghost_PR4003.patch
      fix_scotch_partitioner_PR4001.patch,
      py314_refcount_bunkab84c39.patch
  * update versioned Depends: python3-ffcx (>= 1:0.10.1~),
    python3-ufl (>= 2025.2.0~)

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Dec 2025 10:36:39 +0100

fenics-dolfinx (1:0.10.0.post4-1exp1) experimental; urgency=medium

  * New upstream release
    - supports adios2 2.11
  * debian/tests: reenable python demo_stokes (fixed in 0.10)

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Dec 2025 01:12:14 +0100

fenics-dolfinx (1:0.10.0.post3-1exp6) experimental; urgency=medium

  * powerpc: skip test_compare_solution_linear_vs_nonlinear_problem
  * update versioned Build-Depends: python3-nanobind (>= 2.5.0~)

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Dec 2025 19:36:43 +0100

fenics-dolfinx (1:0.10.0.post3-1exp5) experimental; urgency=medium

  * update debian/tests
    - set MPLBACKEND=Agg to run python demo tests with
      matplotlib off-screen (demo_comm-pattern.py)
      Complements PYVISTA_OFF_SCREEN=True already used for pyvista tests
    - add Restrictions: allow-stderr to python tests, since some demos
      emit warnings about pyvista off-screen and pytest itself emits
      a DeprecationWarning about crc32c
  * debian patch fix_demo_half_loaded_waveguide.patch fixes filepath
    handling in python demo_half_loaded_waveguide.py

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Nov 2025 13:50:25 +0100

fenics-dolfinx (1:0.10.0.post3-1exp4) experimental; urgency=medium

  * update debian patch doc_build.patch to fix location of local
    petsc4py docs
  * debian/rules: stop treating warnings as errors during python
    (sphinx) doc build (warns that pyvista intersphinx web objects are
    not accessible)

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Nov 2025 16:30:28 +0100

fenics-dolfinx (1:0.10.0.post3-1exp3) experimental; urgency=medium

  * update debian/tests
    - control Depends: python3-networkx
      for python demo tests (demo_comm-pattern.py)
    - test-dolfinx-python-demos skip pyamg demo tests
      (pyamg is not yet packaged for debian)
    - Depends: python3-pyvista for python demo tests
  * debian patches fix_scotch_partitioner_PR4001.patch and
    fix_partitioner_ghost_PR4003.patch apply upstream PR#4001 and
    #4003 to fix handling of mesh tests using the scotch partitioner

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Nov 2025 13:16:56 +0100

fenics-dolfinx (1:0.10.0.post3-1exp2) experimental; urgency=medium

  * debian patch test_no_mumps.patch skips test_mixed_system in
    test_petsc_solver_wrappers.py for kind="nest" (or list)
    if MUMPS is not available. For kind="mpi" (or None), fall back to
    superlu_dist, or petsc direct in serial.
  * adios2 is not reliable on bigendian systems (s390x), skip
    cpp demo demo_mixed_poisson* on them

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Nov 2025 13:37:43 +0100

fenics-dolfinx (1:0.10.0.post3-1exp1) experimental; urgency=medium

  * New upstream release
  * simplify openmpi handling by setting oversubscribe option only
    through env variable PRTE_MCA_rmaps_default_mapping_policy.
    MPIEXEC_PARAMS not needed.
  * add debian/source/lintian-overrides to ignore lintian warning
    test-leaves-python-version-untested. The python dependency is
    picked up via Depends: @builddeps@, and is not relevant to cpp

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Nov 2025 18:51:00 +0100

fenics-dolfinx (1:0.10.0.post2-1exp3) experimental; urgency=medium

  * debian patch fix_test_dg0.patch fixes skip of DG-0 test on systems
    without adios2 (without VTXWriter)
  * set PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe on
    openmpi systems. Needed by s390x buildd.

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Nov 2025 14:11:18 +0100

fenics-dolfinx (1:0.10.0.post2-1exp2) experimental; urgency=medium

  * debian/copyright: drop cpp/cmake/modules/FindSCOTCH.cmake
  * Depends: libptscotch-dev (>= 7.0.10~) not libscotch-dev
    libptscotch-dev depends on libscotch-dev, and dolfinx directly
    needs ptscotch. Use versioned depends v7.0.10 to provide cmake
    config files for scotch.
  * update README.Debian: SuperLU-Dist (used by PETSc) now uses
    CombBLAS in place of mc64, and so performance in principle is not
    compromised by removal of mc64 (removed from the superlu-dist
    package due to non-free licencing). dolfinx does not set a
    preference between MUMPS or SuperLU-Dist, by default simply using
    the default solver employed by PETSc. Choice of solver can be
    changed via petsc options (see demos for examples).
  * update debian patch doc_build.patch to use local docs with
    intersphinx.
    Build-Depends-Indep: python-petsc4py-doc, python-numpy-doc,
    python-mpi4py-doc, basix-doc, python-ffcx-doc, python-ufl-doc
  * debian/rules: don't run dh_numpy3 with dh_auto_install

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Nov 2025 14:54:34 +0100

fenics-dolfinx (1:0.10.0.post2-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 0.10.
    - applies debian patch gjk_multiprecision_PR3770.diff
      and unpin_cffi.patch
    - deprecates demo_stokes_mumps_instead_of_superlu_dist.patch
    - Build-Depends-Indep: python3-sphinx-codeautolink (python docs)
  * debian patch lib_rename.patch: handling PETSc scalar type in
    python is moved from utils.py to petsc.py
  * debian patch doc_build.patch stops treating doxygen warnings as
    errors (in C++ docs). Life is too short to get precious about doc
    warnings.
  * update debian/watch to version 5 GitHub format
    to catch .post version releases

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Nov 2025 22:37:36 +0100

fenics-dolfinx (1:0.9.0-13) unstable; urgency=medium

  * backport debian patch doc_build.patch from 1:0.10.0.post2-1exp1 to
    stop treating doxygen warnings as errors (in C++ docs)

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Dec 2025 00:59:43 +0100

fenics-dolfinx (1:0.9.0-12) unstable; urgency=medium

  * debian patch py314_refcount_bunkab84c39.patch applies Adrian
    Bunk's patch to enable test_mpi_comm_refcount to keep passing
    with python 3.14. Closes: #1122069

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Dec 2025 23:00:31 +0100

fenics-dolfinx (1:0.9.0-11) unstable; urgency=medium

  * debian/tests: skip demo_stokes in MPI demo tests, which fails with
    PETSc 3.24

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Nov 2025 20:31:08 +0100

fenics-dolfinx (1:0.9.0-10) unstable; urgency=medium

  * debian patch gjk_multiprecision_PR3770.diff applies upstream
    PR#3770 to make compute_distance_gjk more robust by using
    boost multiprecision. Remove gjk test skips.
    Needed for scipy 1.16.

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Oct 2025 14:50:03 +0200

fenics-dolfinx (1:0.9.0-9) unstable; urgency=medium

  * python3-dolfinx-real, python3-dolfinx-complex
    Breaks: python3-basix (<< 0.9.0-4~)
    to manage breakage from old packages built against
    old nanobind 2.5 (abi15)

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 Oct 2025 11:56:32 +0200

fenics-dolfinx (1:0.9.0-8) unstable; urgency=medium

  * add alpha to the arch list skipping test_cube_distance (test_gjk)
  * debian patch python_depends_nanobind.patch injects nanobind into
    python depends (pyproject.toml) to enable dh_python3 to catch the
    nanobind ABI. Drop explicit Depends: python-nanobind from
    debian/control for python-dolfinx-{real,complex}. Closes: #1096624.
  * Build-Depends: python3-numpy-dev (for dh_numpy3)
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Sep 2025 12:54:08 +0200

fenics-dolfinx (1:0.9.0-7) unstable; urgency=medium

  * Change capture mode and verbosity in pusimp tests: drop -s, and decrease the
    verbosity from -vv to -v. Closes: #1101505.
  * Export MPLBACKEND=agg before running sphinx. See Bug: #1101565.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 29 Mar 2025 15:17:31 +0000

fenics-dolfinx (1:0.9.0-6) unstable; urgency=medium

  * Build-Depends: python3-gmsh to run gmshio unit tests at build time.
    Hence drop from debian/tests Depends (pulled via @builddeps@)
  * python-dolfinx Recommends: python3-gmsh.
    dolfinx does not need to use gmshio, but a standard installation
    can be expected to have it available.
  * drop unused Depends: python3-ply, python3-sympy

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Dec 2024 18:02:28 +0100

fenics-dolfinx (1:0.9.0-5) unstable; urgency=medium

  * skip test_compare_solvers on ppc64 same as mips64el
  * debian/tests: skip demo_hdg in demo tests.
    It is very slow (even when it passes) and causes time-out failures.

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Dec 2024 16:55:08 +0100

fenics-dolfinx (1:0.9.0-4) unstable; urgency=medium

  * dolfinx-doc Recommends: python3-pyvista
    (many demos use pyvista for demo visualisation)
  * skip test_compare_solvers on mips64el. Newton iterations fail to
    pass tolerance in test_petsc_solver_wrappers.py
    TestPETScSolverWrappers.test_compare_solvers. Closes: #1088345.
  * drop Build-Depends: python3-pkg-resources (no longer used).
    Closes: #1083391.

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Dec 2024 11:19:33 +0100

fenics-dolfinx (1:0.9.0-3) unstable; urgency=medium

  * Add unpin_cffi.patch:
    - upstream pins cffi version to 1.16 due to
      https://github.com/FEniCS/dolfinx/issues/3340
      which causes demo_static-condensation.py to fail to run in complex mode.
    - debian cffi version is already beyond 1.16 (currently 1.17), so we cannot
      satisfy the pin in any case. The demo is skipped anyways on debci, because
      it requires numba.
    - pybuild effectively ignores the pin, but leaving it in pyproject.toml
      results in an inconsistency between the actual debian installation and the
      python package metadata.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 14 Nov 2024 12:21:16 +0000

fenics-dolfinx (1:0.9.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 09 Nov 2024 07:55:06 +0000

fenics-dolfinx (1:0.9.0-1exp5) experimental; urgency=medium

  * Add epoch in versioned depends for python3-dolfinx:
     python3-dolfinx-real (>= 1:0.9.0~) | python3-dolfinx-complex (>= 1:0.9.0~)

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 07 Nov 2024 07:54:15 +0000

fenics-dolfinx (1:0.9.0-1exp4) experimental; urgency=medium

  * Set versioned depends for python3-dolfinx:
      python3-dolfinx-real (>= 0.9.0~) | python3-dolfinx-complex (>= 0.9.0~)

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Tue, 05 Nov 2024 12:01:11 +0000

fenics-dolfinx (1:0.9.0-1exp3) experimental; urgency=medium

  * Add libspdlog-dev to libdolfinx-dev Depends, since dolfinx header files
    include spdlog ones.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 03 Nov 2024 13:22:20 +0000

fenics-dolfinx (1:0.9.0-1exp2) experimental; urgency=medium

  * Add test_adios2_skip.patch to skip some tests in
    python/test/unit/io/test_adios2.py if dolfinx was built without support for
    ADIOS2. This typically happens on 32 bit arches.
  * test/unit/geometry/test_gjk.py::test_cube_distance currently fails on i386
    as well. Add i386 to the list of arches on which the test must be skipped.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 02 Nov 2024 15:28:38 +0000

fenics-dolfinx (1:0.9.0-1exp1) experimental; urgency=medium

  * New upstream release 0.9.0:
    - new ABI 0.9
  * Build-Depends and Depends on FEniCSx components part of release 0.9.0.
  * Refresh patches
    - extra_CXXFLAGS.patch
    - python_cmake_module_path.patch
    - lib_rename.patch
    - python_unit_test_32bit.patch
    - docs_local_mathjax.patch
    - debian_version_id.patch
    - adios_config_mpi.patch
    - python_local_license.patch
    - pusimp.patch
    so that they apply without fuzz.
  * Refresh patches
    - big_endian_skip_adios2_tests.patch
    so that they apply without failing on the new release.
  * Refresh demo_no_vtk_adios2.patch as follows:
    - it is not necessary anymore to patch demo_pml.py, since upstream has added
      a check that forces the demo to be skipped if adios2 is not installed.
    - refresh filenames for demo_scattering_boundary_conditions.py and
      demo_half_loaded_waveguide.py since upstream moved them to the main demo
      directory rather than a subdirectory.
  * Drop test_timing_precision.patch since the issue was fixed upstream
    (see https://github.com/FEniCS/dolfinx/issues/2946 and
     https://github.com/FEniCS/dolfinx/pull/3193/files)
    with a different patch.
  * Drop test_adios2_MPI.patch since the issue was fixed upstream
    (see https://github.com/FEniCS/dolfinx/pull/3124)
    with a different patch.
  * Drop
    - Newton_KSP_ref_counter_PR3190.patch
    - 42c43485e81ada306f0b3f1dc735d95539174cbc.patch
    since they come from pull requests that have been released upstream.
  * Add libspdlog-dev to Build-Depends, since release 0.9.0 introduced it in
    https://github.com/FEniCS/dolfinx/pull/3216
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=":oversubscribe"
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
  * Add drop_Werror.patch: drops every usage of the -Werror flag because
    fmtlib (pulled in through Build-Depends: libspdlog-dev) currently raises
    several warnings when compiling the C++ part of dolfinx with gcc 14.
    Upgrading from fmtlib v9 to fmtlib v10 may fix (at least some of) these
    warnings: fmtlib v10 is available on experimental, but not yet uploaded to
    unstable, see Bug: #1072674.
  * Add demo_stokes_mumps_instead_of_superlu_dist.patch: upstream moved from
    using mumps to using superlu_dist in demo_stokes.py. However, running this
    demo with superlu_dist 8.2.1 (as currently packaged by debian) gives
       (C) Norm of velocity coefficient vector (blocked, direct): inf
       (C) Norm of pressure coefficient vector (blocked, direct): inf
    The patch reverts to solving the linear system with mumps. It is likely that
    this patch will not be required anymore when superlu_dist 9.0.0 will be
    packaged by debian, since that is the version that upstream tests againsts.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 31 Oct 2024 09:43:40 +0000

fenics-dolfinx (1:0.8.0-12) unstable; urgency=medium

  * fix cleaning of python demo docs from doc source

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Oct 2024 17:21:03 +0200

fenics-dolfinx (1:0.8.0-11) unstable; urgency=medium

  * Rebuild for python3-basix 0.8.0-8 to ensure that nanobind wrappers of both
    python3-basix and python3-dolfinx are built against GCC 14.
    Closes: #1074951.
  * Update python3-dolfinx Breaks to python3-dolfinx-mpc (<< 0.8.0.post1-5).
    This will ensure that nanobind wrappers are consistently built with GCC 14
    also for the next upload python3-dolfinx-mpc (see Bug #1074920)

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 28 Aug 2024 09:59:47 +0000

fenics-dolfinx (1:0.8.0-10) unstable; urgency=medium

  * Refresh 42c43485e81ada306f0b3f1dc735d95539174cbc.patch so that it applies
    without fuzz.
  * Require pusimp >= 0.1.1
  * Update pusimp.patch:
    - compatibility with pusimp 0.1.1
    - pin pip-installed numpy to <2.0 until debian ships numpy 2.0 too,
      otherwise numpy 2.0 would break binary compatibility in petsc4py and
      slepc4py.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 22 Jun 2024 12:59:48 +0000

fenics-dolfinx (1:0.8.0-9) unstable; urgency=medium

  * Drop Replaces and Conflicts with libdolfin, since they are ancient and this
    package now provides dolfinx, not dolfin.
  * Add Breaks python3-dolfinx-mpc on python3-dolfinx.
    Indeed, python3-dolfinx since 0.8.0-8 is breaking dolfinx-mpc before
    0.8.0.post1-4 because both dolfinx and dolfinx-mpc python wrappers need
    to be compiled with nanobind 2.0

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 05 Jun 2024 09:00:14 +0000

fenics-dolfinx (1:0.8.0-8) unstable; urgency=medium

  * Build-Depends on python3-nanobind (>= 2.0.0~)

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 02 Jun 2024 05:13:23 +0000

fenics-dolfinx (1:0.8.0-7exp1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/patches/42c43485e81ada306f0b3f1dc735d95539174cbc.patch:
    - upstream fix for newer nanobind 2.0 (Closes: #1072183)

  [ Francesco Ballarin ]
  * Fix Maintainer name of Debian Science team (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix field name typo in debian/copyright (Comments vs Comment).

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 01 Jun 2024 09:00:09 +0000

fenics-dolfinx (1:0.8.0-6) unstable; urgency=medium

  * debian patch Newton_KSP_ref_counter_PR3190.patch applies upstream
    PR3190 to fix reference counting causing a GC segfault in
    NonlinearProblems (NewtonSolver).
  * skip test-dolfinx-python-pusimp on riscv64

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 May 2024 11:17:08 +0200

fenics-dolfinx (1:0.8.0-5) unstable; urgency=medium

  * debian/tests: reinstate Restrictions: allow-stderr for cpp tests.
    Needed since armhf sends C++ warnings to stderr.

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 May 2024 17:14:09 +0200

fenics-dolfinx (1:0.8.0-4) unstable; urgency=medium

  * add armhf to GJK (test_cube_distance in test_gjk) skip list.
    Skip only failing arches in debian/tests.
  * align debian/tests with tests skipped in debian/rules. All tests
    should now pass except test_cube_distance and test_nonlinear_pde
    on some arches (and skip slow tests on riscv64).
  * debian/tests: remove Restrictions: allow-stderr from all tests
    (was added for legacy dolfin, should be deprecated for dolfinx)
  * skip a large number of python unit tests on riscv64, which is slow
    and times out on debci

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 May 2024 18:32:43 +0200

fenics-dolfinx (1:0.8.0-3) unstable; urgency=medium

  * python3-dolfinx-real and python3-dolfinx-complex: add missing Depend on
    python3-pusimp

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 04 May 2024 06:47:48 +0000

fenics-dolfinx (1:0.8.0-2) unstable; urgency=medium

  [ Francesco Ballarin ]
  * Add back pusimp tests, but only when internet is available
    - update pusimp.patch to test for internet availability
    - motivate internet availability in README.Debian
    - test all available python versions in autopkgtest file
      debian/tests/test-dolfinx-python-pusimp
    - testing now requires python3-requests
  * Drop http_proxy="" https_proxy="" from debian/rules, in order not
    to require internet availability while building.
  * Require restrictions: needs-internet while testing pusimp with autokpgtest

  [ Drew Parsons ]
  * move python3-jupytext, python3-matplotlib to Build-Depends-Indep
    (needed only for jupytext to build docs)
  * update debian/tests
    - add skipped numba demos (demo_static-condensation.py) to demo skip list
    - test-dolfinx-python-pusimp Depends: python3-all (for py3versions -s)

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 May 2024 16:10:47 +0200

fenics-dolfinx (1:0.8.0-1) unstable; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release v0.8.0
  * Build-Depends and Depends on release FEniCSx 0.8.0 components
  * Add Build-Depends on python3-jupytext, and remove former workaround
    - also requires python3-matplotlib as Build-Depends, since demos import it
  * Remove docs_no_jupytext.patch
  * Refresh patches
  * Remove consistent_dtype_PR3139.patch, which has been merged upstream

  [ Drew Parsons ]
  * skip test_nonlinear_pde on mips64el during build
  * refactor debian/tests to use bash arrays to manage python tests and
    demos to be skipped (using scipy's method)
  * debian/tests times out on riscv64, so skip the slowest python
    tests and demos and run tests with -v to monitor.
    Also skip slow build tests.
  * disable pusimp for unstable
  * set XDG_CACHE_HOME to local doc build dir when building docs in
    order to avoid /nonexistent path errors from the ffcx jit cache
    when building in a chroot without a user home (e.g. pbuilder/pdebuild)
    cf. dolfinx/jit.py l.24
  * debian patch lib_rename.patch: reintroduce cmake test for complex
    scalars (removed in 0.8) in HAVE_SCALAR_COMPLEX (removing "_PETSC")

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 May 2024 20:58:24 +0200

fenics-dolfinx (1:0.8.0~git20240411.cd10d4e-5) experimental; urgency=medium

  * Require python3-pusimp and add pusimp.patch
  * Add test file for usage of python3-pusimp
  * Do not test pusimp while building, because the test assumes
    python3-dolfinx to be already installed.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 21 Apr 2024 08:31:38 +0000

fenics-dolfinx (1:0.8.0~git20240411.cd10d4e-4) experimental; urgency=medium

  * report python unit test durations at build time
    (to check why riscv64 is so slow)
  * skip python unit tests failing to converge at build time
    - armel mips64el sparc64: test_cube_distance (in test_gjk)
    - ppc64: test_nonlinear_pde

 -- Drew Parsons <dparsons@debian.org>  Thu, 18 Apr 2024 00:36:05 +0200

fenics-dolfinx (1:0.8.0~git20240411.cd10d4e-3) experimental; urgency=medium

  * debian patch consistent_dtype_PR3139.patch applies upstream PR#3139
    to provide consistent dtypes (on 32 bit arches)

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Apr 2024 12:15:57 +0200

fenics-dolfinx (1:0.8.0~git20240411.cd10d4e-2) experimental; urgency=medium

  * enable adios2 python tests
    - debian patch test_adios2_MPI.patch skips test_vtx_reuse_mesh
      (python unit test for adios2) if MPI support is not detected
    - but run python unit tests with env ADIOS2_ALWAYS_USE_MPI=1
  * Build-Depends: python3-scipy <!nocheck> (used in unit tests)
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Apr 2024 10:11:34 +0200

fenics-dolfinx (1:0.8.0~git20240411.cd10d4e-1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream snapshot of v0.8.0 release
  * Change ABI version to 0.8
  * Add Francesco Ballarin to uploaders
  * Build-Deps: get python3-basix, python3-ffcx and python3-ufl from
    experimental (v0.8.0 snapshots)
  * Buid-Deps: drop python3-pybind11 in favor of python3-nanobind
  * Remove outdated content from README.source
  * Refresh debian patches
  * Build python package with pybuild instead of setuptools
  * Add python_local_license.patch to ensure that pybuild uses a local copy of
    the COPYING.LESSER license file
  * Build python documentation by calling sphinx instead of using a makefile
  * Drop python3-cppimport from test dependencies

  [ Drew Parsons ]
  * Depends: pkgconf not pkg-config
  * debian/rules: rename override_dh_auto_install-real rule as
    debian/tmp-real so that existence of the dir can be used to
    prevent the rule being invoked twice (by
    override_dh_auto_install-arch and by override_dh_auto_install-indep)
  * enable pybuild tests using pytest
    - skip adios2 tests at build time

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Apr 2024 19:25:36 +0200

fenics-dolfinx (1:0.7.3-5) unstable; urgency=medium

  * debian patch big_endian_skip_adios2_tests.patch skips using
    VTXWriter (Adios2) on big-endian systems (s390x, etc) for
    demo_interpolation-io (C++, Python), and demo_poisson,
    demo/interpolation_different_meshes (C++).  Adios2 is not fully
    tested on big-endian. Note that failure is not universal on s390x.
    demo_poisson passes in Python, and adios2 unit tests pass.
  * debian/tests: run python tests over all supported python versions

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Feb 2024 11:30:04 +0100

fenics-dolfinx (1:0.7.3-4) unstable; urgency=medium

  * rebuild to test dolfinx built against adios2 configured with
    -DADIOS2_USE_Endian_Reverse=ON on big-endian systems (s390x)

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Feb 2024 14:03:39 +0100

fenics-dolfinx (1:0.7.3-3) unstable; urgency=medium

  * add debian patch test_timing_precision.patch to allow for more
    uncertainty in timing resolution. Degradation of resolution might
    have been introduced by boost 1.83. See upstream Issue #2946.
  * dolfinx 0.7 supports PETSc 3.19. Closes: #1042003.

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Jan 2024 01:51:08 +0100

fenics-dolfinx (1:0.7.3-2) unstable; urgency=medium

  * revert the change to adios_config_mpi.patch that added system
    include dirs from adios2::cxx11_mpi. adios2 packages have been
    reconfigured to include the required path with adios2::core.
  * update debian patch lib_rename.patch to check for petsc_real.so or
    petsc_complex.so in load_petsc_lib() [fem/petsc.py] depending on
    petsc4py.PETSc.ScalarType, or on petsc_dir if petsc4py.PETSc is not
    yet loaded.

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Dec 2023 20:24:48 +0100

fenics-dolfinx (1:0.7.3-1) unstable; urgency=medium

  [ Drew Parsons ]
  * update debian patch adios_config_mpi.patch to use include dirs
    for adios2::cxx11_mpi in order to access ADIOSConfig.h, which is
    build-specific (mpi or serial, we want mpi)

  [ Francesco Ballarin ]
  * New upstream release 0.7.3

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 30 Dec 2023 13:51:23 +0000

fenics-dolfinx (1:0.7.2-2) unstable; urgency=medium

  * enable ADIOS2 (VTXWriter) support
    - Build-Depends: libadios2-mpi-c++11-dev (64-bit systems only).
    - libdolfinx-dev Depends: libadios2-mpi-c++11-dev to (64-bit)
    - debian patch adios_config_mpi.patch adds mpi suffix to search
      path to find adios2 cmake config files with MPI support
      Search for COMPONENTS CXX only, to avoid depending on
      libadios2-mpi-c-dev
  * use dh_auto_configure with -D to set sourcedir to cpp source
  * debian/tests: skip demo_lagrange_variants python demo, which
    triggers a segfault when plotting elements. Possibly a bug in
    libtcl used by matplotlib.

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Nov 2023 13:59:18 +0100

fenics-dolfinx (1:0.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Nov 2023 09:39:42 +0100

fenics-dolfinx (1:0.7.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch include_std_bind.patch
  * dolfinx 0.7 uses catch2 v3. Closes: #1054701.

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Oct 2023 16:47:23 +0100

fenics-dolfinx (1:0.7.0-1exp2) experimental; urgency=medium

  * reinstate build-time tests since catch2 v3 is now packaged.
    Drop internet access for debian/tests.
  * reinstate demo_poisson_mpi C++ tests and python unit tests
    test_cffi_assembly test_compute_closest_entity_2d. Segfault on
    32 bit systems seems to have cleared now. Closes: #995599.

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Oct 2023 19:41:57 +0200

fenics-dolfinx (1:0.7.0-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 0.7.
    - applies debian patches gcc13_PR2646.patch, gcc13_PR2647.patch,
      fix_mesh_py3.11_PR2500.patch
  * drop redundant debian patches gcc13_soname.patch,
    demo_no_pyvista_addons.patch, skip_demo_stokes_direct.patch
  * C++ tests require catch2 v3 which is not yet packaged, see
    Bug#1053516
    - skip C++ tests at build-time until catch2 v3 becomes available
    - enable internet in debian/tests to download and build catch2 v3
      for runtime tests
    - debian patch include_std_bind.patch #include <functional> to
      define std::bind for C++ tests
  * generate demo doc source files (*.md) manually using
    python/doc/source/jupytext_process.py (uses jupytext, not yet
    packaged for debian. Bug#1012388). Store generated doc files in
    debian/doc/demos. Document in debian/README.source. Document
    generated binary PNG image files in debian/source/include-binaries.
  * C++ demo files are now common between real and complex builds
    (complex-specific demos stop early if run in real mode)
  * drop deprecated Depends: python3-six. Closes: #1053309.

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Oct 2023 16:13:32 +0200

fenics-dolfinx (1:0.6.0-8) unstable; urgency=medium

  * update debian patch fix_mesh_py3.11_PR2500.patch to the final
    version of PR2500 that was applied upstream (it defines
    mesh._cpp_object rather than mesh._mesh)
    - deprecates debian patches test_no_numba.patch and
      enable-importing-cffi_support-from-new-or-old-numba.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Sep 2023 15:57:13 +0200

fenics-dolfinx (1:0.6.0-7) unstable; urgency=medium

  * source-only upload for migrating to testing. Closes: #1043061.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Aug 2023 17:45:04 +0200

fenics-dolfinx (1:0.6.0-6) unstable; urgency=medium

  * debian patch gcc13_soname.patch adds gcc13 tweak to soname
    since gcc13 patches alter the ABI.
  * debian/tests: skip python demo demo_pml,
    has the same problems as demo_axis

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Jul 2023 17:15:42 +0200

fenics-dolfinx (1:0.6.0-5) unstable; urgency=medium

  * debian patches gcc13_PR2646.patch and gcc13_PR2647.patch
    apply upstream PR2646 and PR2647 to fix build with gcc-13.
    Closes: #1037649.

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Jul 2023 13:28:13 +0200

fenics-dolfinx (1:0.6.0-4) unstable; urgency=medium

  * complex-number demo demo_axis.py is generally flakey
    (fails also on i386) so skip on all arches

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Jul 2023 12:00:20 +0200

fenics-dolfinx (1:0.6.0-3) unstable; urgency=medium

  * debian/tests: pyvista is not yet available in debian but if it is
    installed locally then run demo tests in off-screen mode
  * debian patch demo_no_pyvista_addons.patch checks availability of
    the pyvista jupyter backend used by demos. Check for trame rather
    than pythreejs or ipygany, as recommended by pyvista. Note that
    none of these backends are currently packaged for debian (hence
    the need for the check).
  * debian/tests: skip complex-number demo demo_axis.py on failing
    architectures armel, armhf, s390x.
    cf. https://github.com/FEniCS/dolfinx/issues/2686

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Jun 2023 19:43:10 +0200

fenics-dolfinx (1:0.6.0-2) unstable; urgency=medium

  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Jun 2023 18:38:09 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libdolfinx-complex0.10`.
